Ask Your Question
0

Execute sicklms 5xx

asked 2016-03-21 09:19:33 -0500

anonymous user

Anonymous

Hi everyone,

first of all I'm new to ROS and tried to read as much as I can the tutorials. I successfully installed ROS Jade on my Ubuntu 15.04.

Now i want to use our Scanner Sick LMS 511. So i found this thread ( http://answers.ros.org/question/86246... ) with the fork drivers on ROS Answers and tried to install and run them. To install I used following commands:

cd ~/catkin_ws/src/  
git clone -b master https://github.com/rhuitl/laser_drivers.git
cd ..
rosdep install --from-paths src --ignore-src --rosdistro jade
catkin_make
catkin_make install

After doing that i also added the Path to ROS_PACKAGE_PATH editing .bashrc. After typing echo $ROS_PACKAGE i get : /home/senintel/catkin_ws/src/laser_drivers/sicktoolbox_wrapper2/ros/sicklms:/home/senintel/catkin_ws/src/laser_drivers/sicktoolbox_wrapper2

So I hope the path should be right. Now when i try to run the scanner with:

rosrun sicktoolbox_wrapper2 sicklms_5xx

I get following error :

[rosrun] Couldn't find executable named sicklms_5xx below /home/senintel/catkin_ws/src/laser_drivers/sicktoolbox_wrapper2

Now I have no Idea why i get this error. Can anyone help me please?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-03-21 09:31:36 -0500

gvdhoorn gravatar image

updated 2016-03-21 10:52:03 -0500

After doing that i also added the Path to ROS_PACKAGE_PATH editing .bashrc

Don't do that. It's very rare that you have to setup / change ROS_PACKAGE_PATH by hand.

Based on the commands you listed, do a

source ~/catkin_ws/devel/setup.bash

Then try rosrun again.

You basically added the directory with just the sources to your ROS_PACKAGE_PATH: there are no executables there, so the error rosrun gave you makes perfect sense.


Edit:

I removed the line from .bashrc and used your command. I still get the same error like before.

Searching packages with rospack find sicktoolbox2/sicktoolbox_wrapper2 are linked to /home/senintel/catkin_ws/src/laser_drivers/sicktoolbox2

Looking at the packages in the github repository you linked, it appears they are rosbuild packages, not catkin. So catkin_make [install] won't actually build them. If you want to use them on Jade, you can only do that from a rosbuild overlay workspace.


Edit2: I'm not sure about LMS5xx support, but I would at least go for a catkin-ized version of those packages: rhuitl/laser_drivers seems rather outdated. Even ros-drivers/sicktoolbox_wrapper has been catkinized. Status is a bit unclear, but clearpathrobotics/laser_drivers appears to have nodes for LMS5xx. Perhaps you can salvage something from there.

edit flag offensive delete link more

Comments

Hello thank you for your answer first of all.

I removed the line from .bashrc and used your command. I still get the same error like before.

Searching packages with rospack find sicktoolbox2/sicktoolbox_wrapper2 are linked to /home/senintel/catkin_ws/src/laser_drivers/sicktoolbox2

anonymous userAnonymous ( 2016-03-21 10:02:35 -0500 )edit

You sir are a genius! :D Like u said, i found the outdated version. So i used the last link from u and run the commands again Now it is starting.

Thank you so much! :)

anonymous userAnonymous ( 2016-03-21 11:05:10 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-03-21 09:13:30 -0500

Seen: 307 times

Last updated: Mar 21 '16